All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::ToGpuCloner Struct Reference
Inheritance diagram for faiss::gpu::ToGpuCloner:

## Public Member Functions

| ToGpuCloner (GpuResources *resources, int device, const GpuClonerOptions &options)
Index * | clone_Index (const Index *index) override
Public Member Functions inherited from faiss::Cloner
virtual VectorTransform * | clone_VectorTransform (const VectorTransform *)
virtual IndexIVF * | clone_IndexIVF (const IndexIVF *)

## Public Attributes

GpuResources * | resources
int | device
Public Attributes inherited from faiss::gpu::GpuClonerOptions
IndicesOptions | indicesOptions
bool | useFloat16CoarseQuantizer
| is the coarse quantizer in float16?
bool | useFloat16
bool | usePrecomputed
| use precomputed tables?
long | reserveVecs
| reserve vectors in the invfiles?
bool | storeTransposed
| For GpuIndexFlat, store data in transposed layout?
bool | verbose
| Set verbose options on the index.

## Detailed Description

Definition at line 111 of file GpuAutoTune.cpp.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/GpuAutoTune.cpp